Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 590992 (fearedbliss) - Returning developer: Jonathan Vasquez (fearedbliss)
Summary: Returning developer: Jonathan Vasquez (fearedbliss)
Status: RESOLVED FIXED
Alias: fearedbliss
Product: Gentoo Developers/Staff
Classification: Unclassified
Component: New Developers (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Recruiting Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-11 01:51 UTC by Richard Yao
Modified: 2020-02-23 14:53 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Yao gentoo-dev 2016-08-11 01:51:38 UTC
Jonathan is the author of the bliss initramfs generator, the bliss-zfs-scripts and the ZFS spork of System Rescue CD.

He lives in Brooklyn, New York and likes learning languages such as Cantonese and Mandarin and dancing Cuban Salsa.

He is interested in ZFS, initramfs development and plex.

I will be his mentor.
Comment 1 Amy Liffey gentoo-dev 2016-08-11 08:28:36 UTC
Could you please add following info:
https://wiki.gentoo.org/wiki/Project:Recruiters/Mentoring#Filing_a_New_Developer_Bug

Thanks
Comment 2 Richard Yao gentoo-dev 2016-08-11 13:58:52 UTC
Name: Jonathan Vasquez
Nick: fearedbliss
Mentor: ryao
Areas of contributions: Plex, ZFS, Initramfs Scripts
Tree access: Yes

Also, Jonathan has taken the quizzes and the answers have been reviewed by me over the course of a very long informal mentorship. The quizzes are ready for review by recruiters.

I intend to form a project focused on improving ZFS integration after he officially joins. It will include his initramfs work as a subproject. I can announce the project now if recruiters requires that a project lead approve him before he joins.
Comment 3 Jonathan Vasquez (RETIRED) gentoo-dev 2016-09-02 14:52:25 UTC
Any updates on this?
Comment 4 Jonathan Vasquez (RETIRED) gentoo-dev 2016-09-02 15:06:21 UTC
Actually, please cancel this developer request. Thanks!
Comment 5 Jonathan Vasquez (RETIRED) gentoo-dev 2016-09-06 13:53:43 UTC
Requesting to open this up again, I do have a question. How long does it usually take for the recruiters to proceed with analyzing both quizzes, and other tasks? This will give me a better perspective in how to schedule things on my end.
Comment 6 Amy Liffey gentoo-dev 2016-09-07 15:12:48 UTC
(In reply to Jonathan Vasquez from comment #5)
> Requesting to open this up again, I do have a question. How long does it
> usually take for the recruiters to proceed with analyzing both quizzes, and
> other tasks? This will give me a better perspective in how to schedule
> things on my end.

Analyzing quizzes is not a problem. However we are now understaffed. So basically when recruiters finish the people who submitted quizzes before you. It will be your turn.
Comment 7 Jonathan Vasquez (RETIRED) gentoo-dev 2016-09-07 16:36:38 UTC
Hey Amy,

Thanks for the response.
Comment 8 Amy Liffey gentoo-dev 2016-09-15 17:53:44 UTC
I will be your recruiter. Always add a comment to this bug when you send something to that address. Please contact me by IRC or email to schedule the first review session. If you think that recruiters aren't paying attention to this bug at any later point in time, it's your job to ping us on IRC if you don't want any delays.
Comment 9 Amy Liffey gentoo-dev 2016-11-01 19:53:52 UTC
What we did:
- LDAP
- bugzilla
- granted access to main gentoo.git
- Added user to GitHub Gentoo team

Pending:
- announcement
- IRC cloak

Automatic:
- gentoo-core
- gentoo-dev-announcement

What you need to do:
- subscribe to mailing lists with your @gentoo.org address
- request forum status bump in #gentoo-forums or by mail to
  forum-mods@gentoo.org (if you have a forums account)
- send yourself mail to check if it works
- add yourself to mail aliases ( like java@gentoo.org )
  see /var/mail/alias on dev.gentoo.org
- Register to wiki.gentoo.org with your @gentoo.org e-mail address using
  the following instructions: https://wiki.gentoo.org/getting-started
- set lat and lon attributes in LDAP if you want others to know where
  exactly you are located
- set gentooIM if you want people to be able to contact you via other
  means than email
- If you want your blog to be syndicated to planet.gentoo.org, check
  https://wiki.gentoo.org/wiki/Project:Planet
- contact trustees@gentoo.org for Foundation membership (optional)

For the mentor:
- You are also responsible for the commits of your recruit during the first
  month so you should watch the commits of your recruit via gentoo-commits
  mailing list.
Comment 10 Amy Liffey gentoo-dev 2016-11-06 20:29:19 UTC
> Pending:
> - announcement
> - IRC cloak

Done. Welcome !
Comment 11 Pacho Ramos gentoo-dev 2017-05-28 08:06:55 UTC
He has mailed us to announce he would like to retire. We will give him 15 days to reconsider
Comment 12 Pacho Ramos gentoo-dev 2017-05-31 13:08:35 UTC
He will stay as replied via mail :)
Comment 13 Pacho Ramos gentoo-dev 2017-10-01 13:29:38 UTC
He sent us a mail to ask to be retired. We will give him the usual 15 days to reconsider. Regards
Comment 14 Pacho Ramos gentoo-dev 2017-10-12 20:36:26 UTC
He will stay, closing then
Comment 15 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-08-09 12:56:42 UTC
He mailed us again.  Giving the usual 15 days.
Comment 16 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-09-03 16:29:46 UTC
Let's fire up the retirement machine.
Comment 17 Larry the Git Cow gentoo-dev 2018-09-03 16:37:32 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=92650f5c73851e2b9263a9b9790a3bdf898abdaa

commit 92650f5c73851e2b9263a9b9790a3bdf898abdaa
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2018-09-03 16:36:47 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-09-03 16:36:47 +0000

    */*: reassign packages of fearedbliss@g.o due to retirement
    
    Bug: https://bugs.gentoo.org/590992

 media-tv/plex-media-server/metadata.xml | 5 +----
 sys-fs/zfs-kmod/metadata.xml            | 4 ----
 sys-fs/zfs/metadata.xml                 | 4 ----
 sys-kernel/bliss-initramfs/metadata.xml | 5 +----
 sys-kernel/spl/metadata.xml             | 4 ----
 5 files changed, 2 insertions(+), 20 deletions(-)
Comment 18 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-09-03 16:41:16 UTC
Done:
- Packages reassignment
- Bugs
- Planet (not found)

Pending:
- IRC cloak
- Infra
- Wiki
- Forum
Comment 19 Mauricio L. Pilla gentoo-dev 2018-09-03 16:51:27 UTC
(In reply to Michał Górny from comment #18)
> Done:
> - Packages reassignment
> - Bugs
> - Planet (not found)> 
- Forum

> 
> Pending:
> - IRC cloak
> - Infra
> - Wiki
Comment 20 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-09-03 17:32:50 UTC
gitolite done
Comment 21 Infra Account for Automated Retirements gentoo-dev 2018-09-03 17:37:10 UTC
LOG: Running on oystercatcher.gentoo.org for CVS/SVN removal
LOG: Removing fearedbliss from groups
Comment 22 Infra Account for Automated Retirements gentoo-dev 2018-09-03 17:37:11 UTC
LOG: Running on pigeon.gentoo.org for lists
LOG: Removing fearedbliss from all lists.
Comment 23 Infra Account for Automated Retirements gentoo-dev 2018-09-03 17:37:15 UTC
LOG: Started on woodpecker.gentoo.org
LOG: Found fearedbliss.
LOG: Finished at Mon Sep  3 17:37:14 UTC 2018 with rc=0
Comment 24 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-09-03 17:46:02 UTC
LOG: Running on grouse.gentoo.org for bugzilla retire
LOG: Found 590992 for fearedbliss.
LOG: Found active user account for fearedbliss@gentoo.org
LOG: Updated user account.

infra done.
Comment 25 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-09-22 18:16:00 UTC
Pending:
- IRC cloak
Comment 26 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-01-29 18:01:35 UTC
All done.
Comment 27 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-02-23 14:53:31 UTC
all was set up again.

welcome back!